class WikiPagesController < ApplicationController
  def show
    p params
    wiki_page = WikiPage.find_by(title: params[:title])
    if wiki_page
      render plain: wiki_page.markdown
    else
      head :not_found
    end
  end

  def update
    return head :unauthorized unless current_user

    title = params[:title]
    wiki_page = WikiPage.find_by(title: title)
    unless wiki_page
      wiki_page = WikiPage.new(title: title, created_user: current_user, updated_user: current_user)
    end
    wiki_page.markdown = params[:markdown]
    wiki_page.save!
    head :ok
  end
end
